{"openapi":"3.0.0","info":{"title":"44Lib","version":"1.0.0","description":""},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/tecstub-db7/44LibTestManisha/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"https://api.swaggerhub.com/apis/tecstub-db7/44LibTestManisha/1.0.0/standardization"}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}}},"security":[{"bearerAuth":[]}],"tags":[{"name":"Auth"},{"name":"User"},{"name":"Library Management"},{"name":"Item Management"}],"paths":{"/register":{"post":{"tags":["Auth"],"summary":"Register","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"name":{"type":"string"},"email":{"type":"string","example":"manisha.prajapati@tecstub.com"},"password":{"type":"string","example":"Manisha@123"},"password_confirmation":{"type":"string","example":"Manisha@123"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/login":{"post":{"tags":["Auth"],"summary":"Login","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"test@example.com"},"password":{"type":"string","example":"password"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/password/forgot":{"post":{"tags":["Auth"],"summary":"Forgot Password","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"manisha.prajapati@tecstub.com"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/password/reset":{"post":{"tags":["Auth"],"summary":"Reset Password","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"manisha.prajapati@tecstub.com"},"token":{"type":"string","example":"LFGDiPkRac7beXa1oq0ERwh0AAHYMHM3lQyzzLe1KtOyAngSXPJfJu596o5KjuXv"},"password":{"type":"string","example":"Manisha@123"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/profile":{"post":{"tags":["User"],"summary":"User Profile","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/refresh-token":{"post":{"tags":["User"],"summary":"Refresh Token","requestBody":{"content":{}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/libraries":{"get":{"tags":["Library Management"],"summary":"Index","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}},"post":{"tags":["Library Management"],"summary":"Store","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"name":{"type":"string","description":" ","example":"Library 1"},"description":{"type":"string","example":"This is description"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/libraries/1":{"get":{"tags":["Library Management"],"summary":"Show","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}},"post":{"tags":["Library Management"],"summary":"Update","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"_method":{"type":"string","example":"PATCH"},"name":{"type":"string","example":"update library"},"description":{"type":"string","example":"update desc"},"visibility":{"type":"string","example":"public"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}},"delete":{"tags":["Library Management"],"summary":"Delete","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/items":{"get":{"tags":["Item Management"],"summary":"Index","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/items/manual-entry":{"post":{"tags":["Item Management"],"summary":"Store Manual Entry","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"library_id":{"type":"integer","example":"1"},"title":{"type":"string","example":"Satyanā prayogo, athavā, ātmakathā"},"author":{"type":"string","example":"Mahatma Gandhi"},"year":{"type":"integer","example":"2006"},"category":{"type":"string","example":"book"},"cover_image":{"type":"string","format":"binary"},"description":{"type":"string","example":"Autobiography of the Indian nationalist Mahatma Gandhi."},"notes":{"type":"string","example":"this is book notes"},"rating":{"type":"number","example":"4.2"},"pages":{"type":"integer","example":"475"},"price":{"type":"integer","example":"450"},"isbn13":{"type":"integer","example":"9788172290429"},"isbn10":{"type":"string","example":"817229042X"},"tag_id[]":{"type":"string","example":"Tag 1"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/items/1":{"get":{"tags":["Item Management"],"summary":"Show","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}},"delete":{"tags":["Item Management"],"summary":"Delete","responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/items/3":{"post":{"tags":["Item Management"],"summary":"Update","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"_method":{"type":"string","example":"PATCH"},"title":{"type":"string","example":"Kāvyavr̥shṭi"},"author":{"type":"string","example":"Sureśa Purushottamadāsa Dalāla"},"year":{"type":"integer","example":"2013"},"category":{"type":"string","example":"book"},"rating":{"type":"number","example":"0.0"},"tag_id[]":{"type":"string","example":"code"},"pages":{"type":"integer","example":"400"},"price":{"type":"integer","example":"300"},"description":{"type":"string","example":"Complete poetic works of Suresa Dalal, 1932-2012, Gujarati author."},"notes":{"type":"string","example":"update notes"},"cover_image":{"type":"string","format":"binary"},"isbn13":{"type":"integer","example":"9788179974261"},"isbn10":{"type":"string","example":"817997426X"}}}}}},"parameters":[{"name":"Content-Type","in":"header","schema":{"type":"string"},"example":"application/json"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/items/add-item-via-api-search":{"post":{"tags":["Item Management"],"summary":"Add Item Via API Search","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"library_id":{"type":"integer","example":"1"},"category":{"type":"string","example":"book"},"query":{"type":"integer","example":"9788172290429"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}},"/logout":{"post":{"tags":["default"],"summary":"Logout","requestBody":{"content":{}},"responses":{"200":{"description":"Successful response","content":{"application/json":{}}}}}}}}